metadata:
  id: speedtest-tracker
  name:
    en: Speedtest Tracker
  version: 0.1.0
  displayVersion: 1.2.3
  category:
    af: Utilities
    ar: أدوات
    ca: Utilitats
    cs: Utilities
    da: Utilities
    de: Dienstprogramme
    el: Βοηθήματα
    en: Utilities
    es: Utilidades
    fi: Utilities
    fr: Utilitaires
    he: Utilities
    hu: Segédprogramok
    it: Utilità
    ja: ユーティリティ
    ko: 유틸리티
    nl: Hulpmiddelen
    no: Utilities
    pl: Narzędzia
    pt: Utilitários
    ro: Utilități
    ru: Инструменты
    sr: Utilities
    sv: Verktyg
    tr: Araçlar
    uk: Утиліти
    vi: Tiện ích
    zh: 實用工具
  tagline:
    en: Internet performance tracking application.
  developers: {}
  description:
    en: Speedtest Tracker is a self-hosted internet performance tracking application that runs speedtest checks against Ookla's Speedtest service.
  basePermissions:
  - builtin/network/cluster-egress
  - builtin/network/local-net
  hasPermissions:
  - builtin/network/cluster-egress
  - builtin/network/local-net
  exposesPermissions: []
  repos:
    Source code: https://github.com/alexjustesen/speedtest-tracker
  support: ''
  icon: https://raw.githubusercontent.com/runtipi/runtipi-appstore/master/apps/speedtest-tracker/metadata/logo.jpg
  defaultPassword: null
  license: Unknown
  settings:
    SPEEDTEST_APP_KEY:
      type: String
      name:
        en: Application Key
      description:
        en: ''
      default: null
      max_len: null
      string_type: null
      required: true
      placeholder: null
    SPEEDTEST_SCHEDULE:
      type: String
      name:
        en: Speedtest Schedule (cron format)
      description:
        en: ''
      default: null
      max_len: null
      string_type: null
      required: false
      placeholder: null
    SPEEDTEST_SERVERS:
      type: String
      name:
        en: Speedtest Servers (comma-separated IDs)
      description:
        en: ''
      default: null
      max_len: null
      string_type: null
      required: false
      placeholder: null
  volumes:
    data:
      minimum_size: 1073741824
      recommended_size: 5368709120
      name:
        en: App data
      description:
        en: All data generated by the app
  ports: []
  runtime: !Plugin tipi
  allowedScopes:
  - User
  defaultScope: User
  storePlugins: []
  uiModule: null
  supportsIngress: true
  canBeProtected: true
  saasCompatibility: Unknown
  rawIngress: false
  postInstallRedirect: null
  components: []
  isCitadel: false
  preloadType: !MainVolumeFromSubdir data
containers:
  speedtest-tracker: !Deployment
    container:
      cap_add: []
      cap_drop: []
      command: null
      entrypoint: null
      environment:
        APP_KEY: !StringLike ''
        APP_TIMEZONE: !StringLike UTC
        DB_CONNECTION: !StringLike pgsql
        DB_DATABASE: !StringLike speedtest-tracker
        DB_HOST: !StringLike speedtest-tracker-db
        DB_PASSWORD: !StringLike 883287c85752a585a5bc91103c35418d
        DB_PORT: !StringLike '5432'
        DB_USERNAME: !StringLike tipi
        DISPLAY_TIMEZONE: !StringLike UTC
        PGID: !StringLike '1000'
        PUID: !StringLike '1000'
        SPEEDTEST_SCHEDULE: !StringLike ''
        SPEEDTEST_SERVERS: !StringLike ''
        TZ: !StringLike UTC
      hostname: null
      image: lscr.io/linuxserver/speedtest-tracker:1.2.3
      privileged: false
      restart: null
      stop_grace_period: null
      uid: null
      gid: null
      volumes:
      - !Longhorn
        name: data
        mount_path: /config
        sub_path: data/speedtest-tracker/config
        is_readonly: false
        from_app: null
        from_ns: null
      working_dir: null
      shm_size: null
      ulimits: null
      host_network: false
      exposes:
        udp: []
        tcp: []
      fs_group: null
      service_account: null
      network_policy: null
      has_permissions: []
      additional_labels:
        uses-compat-layer: tipi
    middlewares: {}
  speedtest-tracker-db: !Deployment
    container:
      cap_add: []
      cap_drop: []
      command: null
      entrypoint: null
      environment:
        POSTGRES_DB: !StringLike speedtest-tracker
        POSTGRES_PASSWORD: !StringLike 883287c85752a585a5bc91103c35418d
        POSTGRES_USER: !StringLike tipi
      hostname: null
      image: postgres:15
      privileged: false
      restart: null
      stop_grace_period: null
      uid: null
      gid: null
      volumes:
      - !Longhorn
        name: data
        mount_path: /var/lib/postgresql/data
        sub_path: data/postgres
        is_readonly: false
        from_app: null
        from_ns: null
      working_dir: null
      shm_size: null
      ulimits: null
      host_network: false
      exposes:
        udp: []
        tcp: []
      fs_group: null
      service_account: null
      network_policy: null
      has_permissions: []
      additional_labels:
        uses-compat-layer: tipi
    middlewares: {}
services:
  speedtest-tracker:
    target_container: speedtest-tracker
    type: ClusterIp
    ports:
      udp: {}
      tcp: {}
    cluster_ip: None
    network_policy: null
  speedtest-tracker-db:
    target_container: speedtest-tracker-db
    type: ClusterIp
    ports:
      udp: {}
      tcp: {}
    cluster_ip: None
    network_policy: null
  speedtest-tracker-nirvati-ingress:
    target_container: speedtest-tracker
    type: ClusterIp
    ports:
      udp: {}
      tcp:
        80: 80
    cluster_ip: null
    network_policy: null
ingress:
- target_service: speedtest-tracker-nirvati-ingress
  target_ns: null
  target_app: null
  path_prefix: null
  target_port: 80
  type: Https
  enable_compression: false
  strip_prefix: false
  auth_exclude: false
  component: null
plugins: {}
secrets: []
custom_resources: []
app_network_policy:
  ingress:
    allow_world:
      allow: true
      allowed_ports: null
    allow_cluster:
      allow: false
      allowed_ports: null
    allow_same_ns:
      allow: true
      allowed_ports: null
    cidrs: []
    pods:
    - namespace: null
      app: null
      match_labels:
        uses-compat-layer: tipi
      allowed_ports: null
      all_namespaces: true
  egress:
    allow_cluster: false
    allow_same_ns: true
    allow_kube_api: false
    allow_world: true
    allow_local_net: true
    dns:
      allow: true
      allowed_lookup_names: null
      allowed_lookup_pattern: null
    fqdns: []
    cidrs: []
    services: []
    pods:
    - namespace: null
      app: null
      match_labels:
        uses-compat-layer: tipi
      allowed_ports: null
      all_namespaces: true
other: []
